Get a List of Agents or Queues
To get all agents if you havequeuesIds and all the queues if you have agentIds.
| Method | POST |
|---|---|
| Endpoint | https://{{host}}/agentassist/api/v1/public/{{botId}}/queues/agents |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token |
| API Scope | Configuration |
Path Parameters
| PARAMETER | DESCRIPTION | TYPE |
|---|---|---|
| host | Environment URL, for example, https://platform.kore.ai | string, required |
| botId | botId or streamId. You can get it from the App Settings page. | string, required |
Sample Request
WhenqueueIds are passed:
agentIds are passed:
Sample Response
WhenqueueIds are passed:
agentIds are passed:
Body Parameters
| PARAMETER | DESCRIPTION | TYPE |
|---|---|---|
| queueIds | An array of queueIds. For example: [“Qu-444b2d2-cba6-41c8-945e-04746a35xxxx”] | array, optional |
| agentIds | An array of agentIds. For example: [“u-9d9cc5f8-ac46-5c0e-9986-21270989xxxx”] | array, optional |